import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";

export const provinceSmsSetAnnouncement = createAsyncThunk(
  "PROVINCE_SMS_ANNOUNCEMENT",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.put("announcements/0/", d);
    dispatch(LOADING_END());
    return { data, status };
  }
);
